#ifndef CHRPAGE_H__
#define CHRPAGE_H__

#include "EditWindow.h"
#include "Graphics.h"
#include "PalWindow.h"

class ChrPage : public EditWindow {
public:
	ChrPage() = delete;
	ChrPage(wxWindow *parent, wxWindowID id = -1, const wxPoint &pos = wxDefaultPosition,
		const wxSize &size = wxDefaultSize, long style = wxHSCROLL | wxVSCROLL, const wxString &name = "chrPage");
	virtual ~ChrPage();

	virtual int GetTileSideLength() const;

	virtual int GetMargin() const;

	void LoadTiles();

	void SetPaletteWindowPtr(PaletteWindow *pal);

	void SetBitSize(int size);

private:
	PaletteWindow *GetPaletteWindowPtr() const;

	//override in derived class for drawing each tile
	virtual void OnDrawATile(int tileindex);

	unsigned char *chr;
	std::size_t length;
	int bitsize;
	PaletteWindow *palWin;

};

#endif
